<?php

/**
 * Nové rozhraní Viarealit by teoreticky mělo být to samé co Sreality, akorát s pevným session_id.
 */
class Dalten_Export_Api_Viareality extends Dalten_Export_Api_Sreality
{
    protected $apiKey = '';

    public function openConnection($login, $password, $softwareKey = '', array $additionalParams = array())
    {
        $this->apiKey = $login;
        return new Dalten_Export_Api_ServerResponse(true);
    }

    protected function _getSessionId()
    {
        return $this->apiKey;
    }

}
